Subject: bug#49308: GNU sed for Tru6 configure CFLAGS?

From: Jay K <[email-masked]>
Date: Thu, 5 Aug 2021 02:21:38 +0000

> Does the compiler complain that the "mbtowc_with_lock" function has an
 > unresolved symbol relating to 'pthreads' ?

I believe it was a link error.
It's been a few weeks. :)
I can go and look, but also passing -pthread or -pthreads is fairly common "in the ecosystem" (across
the random set of stuff I built).

The -pthread flag implies something like -D_MT -lpthread.

Informally, if you are talking about locks, you
are talking about pthreads (or Windows), and the
various -pthread / -pthreads switches make sense,
or in any case, imho, on platforms that give it
any meaning, are fairly harmless.

Yeah, I know you might map an extra .so unnecessarily.

 - Jay
________________________________
From: Assaf Gordon <[email-masked]>
Sent: Wednesday, August 4, 2021 9:29 PM
To: Jay K <[email-masked]>; [email-masked] <[email-masked]>
Cc: Larkin Nickle <[email-masked]>; [email-masked] List <[email-masked]>
Subject: Re: bug#49308: GNU sed for Tru6 configure CFLAGS?

(adding gnulib@)

Hello,

On 2021-07-01 12:35 a.m., Jay K wrote:
> Hi. I built GNU sed for Tru64.
> With native cc, not gcc. I realize it is an old system.
>
> $ uname -srm
> OSF1 V5.1 alpha
>
> $ which cc
> /usr/bin/cc
>
> $ cc -V
> Compaq C V6.5-303 (dtk) on HP Tru64 UNIX V5.1B (Rev. 2650)
> Compiler Driver V6.5-302 (dtk) cc Driver
>
> It seemed to require:
>   ./configure CFLAGS="-pthread"
>
> Otherwise, there was an unresolved mbtowc_with_lock.

To be more precise:
Does the compiler complain that the "mbtowc_with_lock" function has an
unresolved symbol relating to 'pthreads' ?

or that the symbol "mbtowc_with_lock" is unresolved ?

>
> Perhaps configure.ac can/should do that automatically?
>
> Perhaps this can/should somehow be done more globally, beyond sed?
> i.e. I should refer to autoconf mailing list?
'mbtowc_with_lock' comes from the gnulib module 'mbtowc-lock':
https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fgit.savannah.gnu.org%2Fcgit%2Fgnulib.git%2Ftree%2Flib%2Fmbtowc-lock.h&amp;data=04%7C01%7C%7C9684e1475a5e409f239008d9578efdc9%7C84df9e7fe9f640afb435aaaaaaaaaaaa%7C1%7C0%7C637637093914845575%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=Vxw5U%2B2Wo6O7OT%2FYoAlYcNNL4HXNVAfq1dhCPFa39OE%3D&amp;reserved=0
I see the file has several #ifdefs for specific systems,
perhaps Tru64 can be added?

Gnulib experts can perhaps answer this better.

(But as you're aware, there's a limited amount of support for older
systems...)

regards,
  - assaf